Loading...
Searching...
No Matches
Ogre::IntersectionSceneQueryResult Struct Reference
Core » Scene

Holds the results of an intersection scene query (pair values). More...

`#include <OgreSceneQuery.h>`

Inheritance diagram for Ogre::IntersectionSceneQueryResult:
[legend]

## Public Attributes

SceneQueryMovableIntersectionList | movables2movables
| List of movable / movable intersections (entities, particle systems etc).
SceneQueryMovableWorldFragmentIntersectionList | movables2world
| List of movable / world intersections.

## Detailed Description

Holds the results of an intersection scene query (pair values).

## Member Data Documentation

## movables2movables

SceneQueryMovableIntersectionList Ogre::IntersectionSceneQueryResult::movables2movables

List of movable / movable intersections (entities, particle systems etc).

## movables2world

SceneQueryMovableWorldFragmentIntersectionList Ogre::IntersectionSceneQueryResult::movables2world

List of movable / world intersections.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h